### Property

# Soup WebsocketConnection:state

since: 3.0

#### Declaration

    property state: Soup.WebsocketState [ read ]

#### Description [src]

The current state of the WebSocket.

Type: | `SoupWebsocketState`
Available since: | 3.0

Default value | SOUP_WEBSOCKET_STATE_OPEN
Getter method | `soup_websocket_connection_get_state()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no